package org.dromara.payment.thirdPlatform.xinyujian.config;

import lombok.EqualsAndHashCode;
import org.dromara.payment.thirdPlatform.utils.PaymentAccountBeanBase;

@EqualsAndHashCode
public class XinyujianAccountBean extends PaymentAccountBeanBase {
  private String endpoint;

  public String toString() {
    return "XinyujianAccountBean(endpoint=" + getEndpoint() + ")";
  }


  protected boolean canEqual(Object other) {
    return other instanceof XinyujianAccountBean;
  }

  public void setEndpoint(String endpoint) {
    this.endpoint = endpoint;
  }

  public String getEndpoint() {
    return this.endpoint;
  }
}
